Name:           libmatheval
Version:        1.1.5
Release:        6%{?dist}
Summary:        Library for parsing and evaluating symbolic expressions input as text

Group:          System Environment/Libraries
License:        GPLv3+
URL:            http://www.gnu.org/software/libmatheval/
Source0:        http://ftp.gnu.org/gnu/libmatheval/libmatheval-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gcc-gfortran, guile-devel, bison, flex, texinfo


%description
GNU libmatheval is a library (callable from C and Fortran) to parse
and evaluate symbolic expressions input as text.  It supports
expressions in any number of variables of arbitrary names, decimal and
symbolic constants, basic unary and binary operators, and elementary
mathematical functions.  In addition to parsing and evaluation,
libmatheval can also compute symbolic derivatives and output
expressions to strings.

%package devel
Summary:        Development files for libmatheval
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires(post):  /sbin/install-info
Requires(preun): /sbin/install-info
Requires:       pkgconfig

%description devel
This package contains the development files for libmatheval.


%prep
%setup -q

%build
%configure F77=gfortran --disable-static
make %{?_smp_mflags}

%check
make check ||:


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_infodir}/dir


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun devel
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi


%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc NEWS 
%{_includedir}/*
%{_libdir}/*.so
%{_infodir}/libmatheval.info*
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 11 2009 Debarshi Ray <rishi@fedoraproject.org> - 1.1.5-4
- Info page fixed by upstream. Closes Red Hat Bugzilla bug #465112.

* Fri May 23 2008 Jon Stanley <jonstanley@gmail.com> - 1.1.5-3
- Fix license tag

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.1.5-2
- Autorebuild for GCC 4.3

* Sat Aug 25 2007 Ed Hill <ed@eh3.com> - 1.1.5-1
- new upstream 1.1.5

* Sun Mar 18 2007 Ed Hill <ed@eh3.com> - 1.1.4-1
- new upstream 1.1.4

* Sat Sep 23 2006  <ed@eh3.com> - 1.1.3-4
- add BR: texinfo

* Sat Sep 23 2006  <ed@eh3.com> - 1.1.3-3
- disable static libs and add check

* Thu Sep 21 2006  <ed@eh3.com> - 1.1.3-2
- add info dir patch

* Thu Sep 21 2006  <ed@eh3.com> - 1.1.3-1
- initial package creation

